Bug 457377 - X server crash with "backingstore" running KDE 4.0
X server crash with "backingstore" running KDE 4.0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 448846 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 06:00 EDT by vasilis
Modified: 2009-07-14 13:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:46:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My /etc/X11/xorg.conf file (2.81 KB, text/plain)
2008-07-31 11:08 EDT, vasilis
no flags Details
Xorg.0.log when starting with the xorg.conf (28.52 KB, text/plain)
2008-07-31 11:09 EDT, vasilis
no flags Details
Xorg.0.log when starting without any xorg.conf file (27.71 KB, text/plain)
2008-07-31 11:10 EDT, vasilis
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 18895 None None None Never

  None (edit)
Description vasilis 2008-07-31 06:00:41 EDT
Description of problem:
Enabling "backingstore" with Fedora-9, NVIDIA graphics card [Quadro NVS
110M/GeForce Go 7300],  KDE4 crashes immediately


Version-Release number of selected component (if applicable): KDE-4.0


How reproducible: Always


Steps to Reproduce:
1. Add Option "backingstore" in the /etc/x11/xorg.conf
2. Login in KDE4.0
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin Kofler 2008-07-31 09:24:32 EDT
This sounds like an X11 or driver (are you using the proprietary driver?) bug, 
not a KDE bug.

(Reassigning to kdebase-workspace for now because that's where the bug would be 
if it is really a KDE bug, not kdebase4.)
Comment 2 Rex Dieter 2008-07-31 09:45:42 EDT
"KDE4 crashes immediately" really? Or X server dies?  Please describe precisely
what happens, as well as providing details about which X driver you are using.
Comment 3 Rex Dieter 2008-07-31 09:51:59 EDT
fwiw, this may well end up being a case similar to:
1.  (patient) Doctor, it hurts when I move my arm like *this*.
2.  (doctor) Then don't do that!
Comment 4 vasilis 2008-07-31 10:33:12 EDT
I've tried both the NVIDIA proprietary as well the xorg driver, both behaved
similarly. It shows the splash screen of KDE and the moment it displays the kde
desktop, kde dies. It has to be a KDE error since if I use another window
manager like gnome, xcfe etc, it works perfectly
In the .xsession-errors I've get the following messages apart from the normal
ones that I get without the "backingstore":

kaccess: Fatal IO error: client killed
kdeinit4: Fatal IO error: client killed
kdeinit4: sending SIGHUP to children.
kdeinit4: sending SIGTERM to children.
kdeinit4: Exit.
kwin: Fatal IO error: client killed
klauncher: Exiting on signal 15
klauncher: Exiting on signal 1
X connection to :0.0 broken (explicit kill or server shutdown).

kded4: Fatal IO error: client killed
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"

      after 153 requests (150 known processed) with 0 events remaining.

Comment 5 Kevin Kofler 2008-07-31 10:40:00 EDT
The log messages clearly show it's the X server crashing, KDE is just what 
triggers it => reassigning to xorg-x11-server.
Comment 6 Matěj Cepl 2008-07-31 10:54:46 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf; of course, using
only open-source drivers -- either nv or nouveau) and X server log file
(/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 vasilis 2008-07-31 11:08:46 EDT
Created attachment 313108 [details]
My /etc/X11/xorg.conf file
Comment 8 vasilis 2008-07-31 11:09:16 EDT
Created attachment 313109 [details]
Xorg.0.log when starting with the xorg.conf
Comment 9 vasilis 2008-07-31 11:10:02 EDT
Created attachment 313110 [details]
Xorg.0.log when starting without any xorg.conf file

Of course in this case it works since the "backingstore" is not enabled by
default
Comment 10 Rex Dieter 2008-08-02 00:40:26 EDT
*** Bug 448846 has been marked as a duplicate of this bug. ***
Comment 11 Vince Schiavoni 2008-08-02 01:02:21 EDT
In response to Comment #6:

Confirmed for:
> xorg-x11-drv-openchrome/mesa-dri-drivers:unichrome_dri.so (http://
forums.fedoraforum.org/forum/showthread.php?t=195131
> xorg-x11-drv-nv
> xorg-x11-drv-nouveau (with or without "BackingStore")
> xorg-x11-drv-mach64/mesa-dri-drivers:mach64_dri.so

Confirm that Enlightenment/E17 DE does not crash under same conditions.

Note that option "BackingStore" "on" is a potentially very useful option....

Thanks and Regards,
VJS
Comment 12 Matěj Cepl 2008-10-21 18:46:15 EDT
I see that you had nvidia installed on your computer. Could you please follow the intstructions on https://fedoraproject.org/wiki/Xorg/3rd_Party_Video_Drivers to make sure that your system is not contaminated anymore?

Thank you very much
Comment 13 Vince Schiavoni 2008-10-22 00:01:03 EDT
(In reply to comment #12)
> I see that you had nvidia installed on your computer. Could you please follow
> the instructions on
> https://fedoraproject.org/wiki/Xorg/3rd_Party_Video_Drivers to make sure that
> your system is not contaminated anymore?
> 
> Thank you very much

I'm not sure to whom this was directed, but I'll respond.

I am well aware of the referenced admonition regarding the NVidia binary "blob", and concur 1000%: the "blob" should not be used, and I did not use it. I used Livna and/or ATRPMs re-packaged RPM drivers.

Regards,
VJS
Comment 14 Matěj Cepl 2008-10-22 10:50:55 EDT
OK, thanks for assurance that you know what you are doing. :)
Comment 15 vasilis 2008-11-28 16:16:48 EST
I've recently changed laptop with an intel graphics 4500MHD card, where I get a similar behaviour with the intel_drv.so driver
Comment 16 Eddie Lania 2009-01-10 13:53:59 EST
I too have expierienced a crashing X with the ati open source driver as well as with the fglrx driver and with Option "BackingStore" enabled in xorg.conf.

If I enable it and open for instance the gnome system monitor and click on one of the menu buttons (i.e. Monitor) it crashes.
Comment 17 Brad 2009-01-18 20:30:44 EST
I have this same problem in ubuntu:

https://bugs.edge.launchpad.net/ubuntu/+source/xorg-server/+bug/274988

It is xserver related, so it eventually got moved upstream:

https://bugs.freedesktop.org/show_bug.cgi?id=18895
Comment 18 Bug Zapper 2009-06-09 22:19:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2009-07-14 13:46:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.